<bugID>1363425<Summary>_migrateFromRDF causes main thread IO during startup</Summary><Description>See this profile: https://perf-html.io/public/5727bef72dac23c0565f9d20615df6e6251a9200/calltree/?callTreeFilters=prefix-01GkzXkzXlzYazYbzYczYdBJjCy5FW8FW2Cy8Cy9EW6CybCycCydxJ9CyeCyfALuADrGEcGDkCygADvAE0FYfGDbAEcGH6EVeG9xReDUh_nySpEVeG9CyhDUh_nySpEVexHgyQtEIhRaRbImInIoBziIqySpEVeG9zQuCImDUh_nySpEVexLkI9ySpEVeG9CIpCJ1DUh_nCwhFF9GH6EVeG9CJ2CJ3DUh_nySpEVexLkI9ySpEVeG9CJ4DUh_nySpEVexHgyQtEIhCJ5ImInIoBziIqySpEVeG9CJrDUh_nySpEVeG9CJsDUh_nCwhFF9GH6EVeG9CJtDUh_nySpEVeG9CJuDUh_nySpEVeG9CK0&amp;range=0.0000_8.7709&amp;thread=0

Most of the time is spent in nsOSHelperAppService::GetApplicationDescription(nsACString const &amp;,nsAString &amp;) which calls the Windows AssocQueryStringW API that does main thread IO.</Description></bugID>